Subject: Re: [PATCH] gitweb: Better symbolic link support in "tree" view

From: Jakub Narebski <[email-masked]>
Date: Tue, 5 Dec 2006 22:27:56 +0100

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:
> 
>> In "tree" view (git_print_tree_entry subroutine), add for symbolic
>> links after file name " -> link_target", a la "ls -l".  Use
>> git_get_link_target_html to escape target name and make it into
>> hyperlink if possible.
> 
> I think " -> link_target" is fine, but I do not know if it is
> useful (while I do not think it is wrong) to make the value that
> would have been returned from readlink() into an href, even when
> it points at something inside the same revision.

I have added this bit (making symbolic link target symlink) because 
otherwise there is no way, besides hand-munging the URL, to go to the 
link target.

>From the command line, tools usually follow symlinks. In gitweb, "blob" 
view (and "blob_plain" view) show symbolic link contents... not that 
I'm for changing this, mind you.
-- 
Jakub Narebski